apiVersion: kargo.akuity.io/v1alpha1
kind: Stage
metadata:
  name: live
  namespace: stonks-oracle
spec:
  requestedFreight:
    - origin:
        kind: Warehouse
        name: stonks-images
      sources:
        stages:
          - paper
  verification:
    analysisTemplates:
      - name: market-hours-check
  promotionTemplate:
    spec:
      steps:
        - uses: argocd-update
          config:
            apps:
              - name: stonks-live
                namespace: argocd
                sources:
                  - repoURL: http://gitea-service.git-server.svc.cluster.local:3000/admin/stonks-oracle.git
                    helm:
                      images:
                        - key: image.tag
                          value: ${{ imageFrom("registry.celestium.life/stonks-oracle/query-api").Tag }}
